pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 7.0.1 20170209 (Red Hat 7.0.1-0.7)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#b6bc5f58#;
   pragma Export (C, u00001, "mine_detectorB");
   u00002 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#806c0d6d#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#5b0b5dbc#;
   pragma Export (C, u00004, "gtkS");
   u00005 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00005, "gdkS");
   u00006 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00006, "glibB");
   u00007 : constant Version_32 := 16#23ee66e4#;
   pragma Export (C, u00007, "glibS");
   u00008 : constant Version_32 := 16#3d17c74c#;
   pragma Export (C, u00008, "ada__tagsB");
   u00009 : constant Version_32 := 16#5a4e344a#;
   pragma Export (C, u00009, "ada__tagsS");
   u00010 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00010, "adaS");
   u00011 : constant Version_32 := 16#3c9ef164#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#90343f81#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#b89972ba#;
   pragma Export (C, u00015, "systemS");
   u00016 : constant Version_32 := 16#4e7785b8#;
   pragma Export (C, u00016, "system__soft_linksB");
   u00017 : constant Version_32 := 16#261daaef#;
   pragma Export (C, u00017, "system__soft_linksS");
   u00018 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00018, "system__parametersB");
   u00019 : constant Version_32 := 16#c6b37fc5#;
   pragma Export (C, u00019, "system__parametersS");
   u00020 : constant Version_32 := 16#30ad09e5#;
   pragma Export (C, u00020, "system__secondary_stackB");
   u00021 : constant Version_32 := 16#020b8dc0#;
   pragma Export (C, u00021, "system__secondary_stackS");
   u00022 : constant Version_32 := 16#f103f468#;
   pragma Export (C, u00022, "system__storage_elementsB");
   u00023 : constant Version_32 := 16#955a38be#;
   pragma Export (C, u00023, "system__storage_elementsS");
   u00024 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00024, "system__stack_checkingB");
   u00025 : constant Version_32 := 16#36261952#;
   pragma Export (C, u00025, "system__stack_checkingS");
   u00026 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00026, "system__exception_tableB");
   u00027 : constant Version_32 := 16#e5371bf8#;
   pragma Export (C, u00027, "system__exception_tableS");
   u00028 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00028, "system__exceptionsB");
   u00029 : constant Version_32 := 16#d0fa1f4c#;
   pragma Export (C, u00029, "system__exceptionsS");
   u00030 : constant Version_32 := 16#843d48dc#;
   pragma Export (C, u00030, "system__exceptions__machineS");
   u00031 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#c6138b7e#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#6c2f8802#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#ba429278#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#e6bbac7e#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00037, "system__traceback_entriesB");
   u00038 : constant Version_32 := 16#b8c284ca#;
   pragma Export (C, u00038, "system__traceback_entriesS");
   u00039 : constant Version_32 := 16#6fd210f2#;
   pragma Export (C, u00039, "system__traceback__symbolicB");
   u00040 : constant Version_32 := 16#dd19f67a#;
   pragma Export (C, u00040, "system__traceback__symbolicS");
   u00041 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00041, "ada__exceptions__tracebackB");
   u00042 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00042, "ada__exceptions__tracebackS");
   u00043 : constant Version_32 := 16#9f00b3d3#;
   pragma Export (C, u00043, "system__address_imageB");
   u00044 : constant Version_32 := 16#1975ef80#;
   pragma Export (C, u00044, "system__address_imageS");
   u00045 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00045, "system__wch_conB");
   u00046 : constant Version_32 := 16#a3e45068#;
   pragma Export (C, u00046, "system__wch_conS");
   u00047 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00047, "system__wch_stwB");
   u00048 : constant Version_32 := 16#8ef57c69#;
   pragma Export (C, u00048, "system__wch_stwS");
   u00049 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00049, "system__wch_cnvB");
   u00050 : constant Version_32 := 16#ac53ea9b#;
   pragma Export (C, u00050, "system__wch_cnvS");
   u00051 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00051, "interfacesS");
   u00052 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00052, "system__wch_jisB");
   u00053 : constant Version_32 := 16#2c23f3ba#;
   pragma Export (C, u00053, "system__wch_jisS");
   u00054 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00054, "system__htableB");
   u00055 : constant Version_32 := 16#3c5bc150#;
   pragma Export (C, u00055, "system__htableS");
   u00056 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00056, "system__string_hashB");
   u00057 : constant Version_32 := 16#9e05aa2e#;
   pragma Export (C, u00057, "system__string_hashS");
   u00058 : constant Version_32 := 16#8c1f0e39#;
   pragma Export (C, u00058, "system__unsigned_typesS");
   u00059 : constant Version_32 := 16#afdbf393#;
   pragma Export (C, u00059, "system__val_lluB");
   u00060 : constant Version_32 := 16#f6ed594b#;
   pragma Export (C, u00060, "system__val_lluS");
   u00061 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00061, "system__val_utilB");
   u00062 : constant Version_32 := 16#1439c444#;
   pragma Export (C, u00062, "system__val_utilS");
   u00063 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00063, "system__case_utilB");
   u00064 : constant Version_32 := 16#9c901b6d#;
   pragma Export (C, u00064, "system__case_utilS");
   u00065 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00065, "interfaces__cB");
   u00066 : constant Version_32 := 16#70be4e8c#;
   pragma Export (C, u00066, "interfaces__cS");
   u00067 : constant Version_32 := 16#a889112d#;
   pragma Export (C, u00067, "interfaces__c__stringsB");
   u00068 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00068, "interfaces__c__stringsS");
   u00069 : constant Version_32 := 16#6abe5dbe#;
   pragma Export (C, u00069, "system__finalization_mastersB");
   u00070 : constant Version_32 := 16#e3654b70#;
   pragma Export (C, u00070, "system__finalization_mastersS");
   u00071 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00071, "system__img_boolB");
   u00072 : constant Version_32 := 16#4d400351#;
   pragma Export (C, u00072, "system__img_boolS");
   u00073 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00073, "system__ioB");
   u00074 : constant Version_32 := 16#26db85f5#;
   pragma Export (C, u00074, "system__ioS");
   u00075 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00075, "ada__finalizationS");
   u00076 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00076, "ada__streamsB");
   u00077 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00077, "ada__streamsS");
   u00078 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00078, "ada__io_exceptionsS");
   u00079 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00079, "system__finalization_rootB");
   u00080 : constant Version_32 := 16#f76b012a#;
   pragma Export (C, u00080, "system__finalization_rootS");
   u00081 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00081, "system__storage_poolsB");
   u00082 : constant Version_32 := 16#9b74ec17#;
   pragma Export (C, u00082, "system__storage_poolsS");
   u00083 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00083, "system__pool_globalB");
   u00084 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00084, "system__pool_globalS");
   u00085 : constant Version_32 := 16#a6359005#;
   pragma Export (C, u00085, "system__memoryB");
   u00086 : constant Version_32 := 16#e1e4148e#;
   pragma Export (C, u00086, "system__memoryS");
   u00087 : constant Version_32 := 16#c808a4b4#;
   pragma Export (C, u00087, "system__crtlS");
   u00088 : constant Version_32 := 16#a2250034#;
   pragma Export (C, u00088, "system__storage_pools__subpoolsB");
   u00089 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00089, "system__storage_pools__subpoolsS");
   u00090 : constant Version_32 := 16#9aad1ff1#;
   pragma Export (C, u00090, "system__storage_pools__subpools__finalizationB");
   u00091 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00091, "system__storage_pools__subpools__finalizationS");
   u00092 : constant Version_32 := 16#3fbee080#;
   pragma Export (C, u00092, "glib__objectB");
   u00093 : constant Version_32 := 16#c6371ef1#;
   pragma Export (C, u00093, "glib__objectS");
   u00094 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00094, "glib__type_conversion_hooksB");
   u00095 : constant Version_32 := 16#445b1475#;
   pragma Export (C, u00095, "glib__type_conversion_hooksS");
   u00096 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00096, "gtkadaS");
   u00097 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00097, "gtkada__bindingsB");
   u00098 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00098, "gtkada__bindingsS");
   u00099 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00099, "gnatS");
   u00100 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00100, "gnat__stringsS");
   u00101 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00101, "system__stringsB");
   u00102 : constant Version_32 := 16#c62663dc#;
   pragma Export (C, u00102, "system__stringsS");
   u00103 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00103, "gtkada__cB");
   u00104 : constant Version_32 := 16#d126e609#;
   pragma Export (C, u00104, "gtkada__cS");
   u00105 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00105, "gtkada__typesB");
   u00106 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00106, "gtkada__typesS");
   u00107 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00107, "glib__glistB");
   u00108 : constant Version_32 := 16#d27b8e87#;
   pragma Export (C, u00108, "glib__glistS");
   u00109 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00109, "glib__gslistB");
   u00110 : constant Version_32 := 16#383ab9c8#;
   pragma Export (C, u00110, "glib__gslistS");
   u00111 : constant Version_32 := 16#3c420900#;
   pragma Export (C, u00111, "system__stream_attributesB");
   u00112 : constant Version_32 := 16#8bc30a4e#;
   pragma Export (C, u00112, "system__stream_attributesS");
   u00113 : constant Version_32 := 16#6025fc64#;
   pragma Export (C, u00113, "gtk__mainB");
   u00114 : constant Version_32 := 16#1bf617bc#;
   pragma Export (C, u00114, "gtk__mainS");
   u00115 : constant Version_32 := 16#e6c57dae#;
   pragma Export (C, u00115, "gdk__typesS");
   u00116 : constant Version_32 := 16#c441c1bc#;
   pragma Export (C, u00116, "glib__generic_propertiesB");
   u00117 : constant Version_32 := 16#0dfedcb1#;
   pragma Export (C, u00117, "glib__generic_propertiesS");
   u00118 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00118, "glib__valuesB");
   u00119 : constant Version_32 := 16#20fad3d2#;
   pragma Export (C, u00119, "glib__valuesS");
   u00120 : constant Version_32 := 16#eaf61126#;
   pragma Export (C, u00120, "gdk__eventB");
   u00121 : constant Version_32 := 16#633560c1#;
   pragma Export (C, u00121, "gdk__eventS");
   u00122 : constant Version_32 := 16#b4fd9a03#;
   pragma Export (C, u00122, "gdk__rectangleB");
   u00123 : constant Version_32 := 16#3ace198e#;
   pragma Export (C, u00123, "gdk__rectangleS");
   u00124 : constant Version_32 := 16#a738a1a3#;
   pragma Export (C, u00124, "cairoB");
   u00125 : constant Version_32 := 16#ff5a5c0d#;
   pragma Export (C, u00125, "cairoS");
   u00126 : constant Version_32 := 16#50ae1241#;
   pragma Export (C, u00126, "cairo__regionB");
   u00127 : constant Version_32 := 16#3ad35712#;
   pragma Export (C, u00127, "cairo__regionS");
   u00128 : constant Version_32 := 16#b7ed16af#;
   pragma Export (C, u00128, "gdk__windowB");
   u00129 : constant Version_32 := 16#17a65b8f#;
   pragma Export (C, u00129, "gdk__windowS");
   u00130 : constant Version_32 := 16#91a0fe1f#;
   pragma Export (C, u00130, "gtk__widgetB");
   u00131 : constant Version_32 := 16#0d1b3e27#;
   pragma Export (C, u00131, "gtk__widgetS");
   u00132 : constant Version_32 := 16#1de60de5#;
   pragma Export (C, u00132, "gdk__colorB");
   u00133 : constant Version_32 := 16#be8c9938#;
   pragma Export (C, u00133, "gdk__colorS");
   u00134 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00134, "gdk__visualB");
   u00135 : constant Version_32 := 16#8003b6fe#;
   pragma Export (C, u00135, "gdk__visualS");
   u00136 : constant Version_32 := 16#8b0f7857#;
   pragma Export (C, u00136, "gtk__enumsB");
   u00137 : constant Version_32 := 16#4c8e8707#;
   pragma Export (C, u00137, "gtk__enumsS");
   u00138 : constant Version_32 := 16#0250e044#;
   pragma Export (C, u00138, "gtk__styleB");
   u00139 : constant Version_32 := 16#adc59eaa#;
   pragma Export (C, u00139, "gtk__styleS");
   u00140 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00140, "pangoS");
   u00141 : constant Version_32 := 16#7e92ca7e#;
   pragma Export (C, u00141, "pango__fontB");
   u00142 : constant Version_32 := 16#e8b91a34#;
   pragma Export (C, u00142, "pango__fontS");
   u00143 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00143, "pango__enumsB");
   u00144 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00144, "pango__enumsS");
   u00145 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00145, "gdk__fontB");
   u00146 : constant Version_32 := 16#36f135f3#;
   pragma Export (C, u00146, "gdk__fontS");
   u00147 : constant Version_32 := 16#c0fd261c#;
   pragma Export (C, u00147, "gdk__gcB");
   u00148 : constant Version_32 := 16#17b10250#;
   pragma Export (C, u00148, "gdk__gcS");
   u00149 : constant Version_32 := 16#5ac13bb9#;
   pragma Export (C, u00149, "gdk__regionB");
   u00150 : constant Version_32 := 16#c39790b5#;
   pragma Export (C, u00150, "gdk__regionS");
   u00151 : constant Version_32 := 16#4dc5aea4#;
   pragma Export (C, u00151, "gdk__pixmapB");
   u00152 : constant Version_32 := 16#af0526c2#;
   pragma Export (C, u00152, "gdk__pixmapS");
   u00153 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00153, "gdk__bitmapB");
   u00154 : constant Version_32 := 16#f567db9b#;
   pragma Export (C, u00154, "gdk__bitmapS");
   u00155 : constant Version_32 := 16#244b95d1#;
   pragma Export (C, u00155, "gtk__objectB");
   u00156 : constant Version_32 := 16#4e072ff5#;
   pragma Export (C, u00156, "gtk__objectS");
   u00157 : constant Version_32 := 16#17a869e9#;
   pragma Export (C, u00157, "glib__propertiesB");
   u00158 : constant Version_32 := 16#fdaf77f0#;
   pragma Export (C, u00158, "glib__propertiesS");
   u00159 : constant Version_32 := 16#2e04c50f#;
   pragma Export (C, u00159, "pango__layoutB");
   u00160 : constant Version_32 := 16#32af7128#;
   pragma Export (C, u00160, "pango__layoutS");
   u00161 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00161, "pango__attributesB");
   u00162 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00162, "pango__attributesS");
   u00163 : constant Version_32 := 16#0d58ce85#;
   pragma Export (C, u00163, "pango__contextB");
   u00164 : constant Version_32 := 16#df5146b2#;
   pragma Export (C, u00164, "pango__contextS");
   u00165 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00165, "pango__tabsB");
   u00166 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00166, "pango__tabsS");
   u00167 : constant Version_32 := 16#5061a418#;
   pragma Export (C, u00167, "gtk__windowB");
   u00168 : constant Version_32 := 16#64f6f30a#;
   pragma Export (C, u00168, "gtk__windowS");
   u00169 : constant Version_32 := 16#69f90ada#;
   pragma Export (C, u00169, "gdk__pixbufB");
   u00170 : constant Version_32 := 16#23a693db#;
   pragma Export (C, u00170, "gdk__pixbufS");
   u00171 : constant Version_32 := 16#19bc5d8a#;
   pragma Export (C, u00171, "gdk__cursorB");
   u00172 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00172, "gdk__cursorS");
   u00173 : constant Version_32 := 16#c92855e6#;
   pragma Export (C, u00173, "gdk__displayB");
   u00174 : constant Version_32 := 16#a37ccb2a#;
   pragma Export (C, u00174, "gdk__displayS");
   u00175 : constant Version_32 := 16#83dd094c#;
   pragma Export (C, u00175, "gdk__drawableB");
   u00176 : constant Version_32 := 16#5ab47d3c#;
   pragma Export (C, u00176, "gdk__drawableS");
   u00177 : constant Version_32 := 16#e35576c7#;
   pragma Export (C, u00177, "gdk__rgbB");
   u00178 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00178, "gdk__rgbS");
   u00179 : constant Version_32 := 16#20806ff5#;
   pragma Export (C, u00179, "glib__errorB");
   u00180 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00180, "glib__errorS");
   u00181 : constant Version_32 := 16#4105bdf9#;
   pragma Export (C, u00181, "gtk__accel_groupB");
   u00182 : constant Version_32 := 16#c1d3ea52#;
   pragma Export (C, u00182, "gtk__accel_groupS");
   u00183 : constant Version_32 := 16#a197cf03#;
   pragma Export (C, u00183, "gtk__binB");
   u00184 : constant Version_32 := 16#49646a83#;
   pragma Export (C, u00184, "gtk__binS");
   u00185 : constant Version_32 := 16#7e519c0a#;
   pragma Export (C, u00185, "glib__typesB");
   u00186 : constant Version_32 := 16#6a2fb11c#;
   pragma Export (C, u00186, "glib__typesS");
   u00187 : constant Version_32 := 16#21574a83#;
   pragma Export (C, u00187, "gtk__buildableB");
   u00188 : constant Version_32 := 16#91a889d8#;
   pragma Export (C, u00188, "gtk__buildableS");
   u00189 : constant Version_32 := 16#506eac7c#;
   pragma Export (C, u00189, "gtk__builderB");
   u00190 : constant Version_32 := 16#8ca43563#;
   pragma Export (C, u00190, "gtk__builderS");
   u00191 : constant Version_32 := 16#33d861b5#;
   pragma Export (C, u00191, "gtk__containerB");
   u00192 : constant Version_32 := 16#fe9a550d#;
   pragma Export (C, u00192, "gtk__containerS");
   u00193 : constant Version_32 := 16#d43b17a9#;
   pragma Export (C, u00193, "gtk__adjustmentB");
   u00194 : constant Version_32 := 16#87a9fd8d#;
   pragma Export (C, u00194, "gtk__adjustmentS");
   u00195 : constant Version_32 := 16#541f2b07#;
   pragma Export (C, u00195, "user_ifB");
   u00196 : constant Version_32 := 16#579442af#;
   pragma Export (C, u00196, "user_ifS");
   u00197 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00197, "ada__charactersS");
   u00198 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00198, "ada__characters__latin_1S");
   u00199 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00199, "ada__stringsS");
   u00200 : constant Version_32 := 16#0e71a6bb#;
   pragma Export (C, u00200, "ada__strings__unboundedB");
   u00201 : constant Version_32 := 16#39d50c27#;
   pragma Export (C, u00201, "ada__strings__unboundedS");
   u00202 : constant Version_32 := 16#e5480ede#;
   pragma Export (C, u00202, "ada__strings__fixedB");
   u00203 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00203, "ada__strings__fixedS");
   u00204 : constant Version_32 := 16#e2ea8656#;
   pragma Export (C, u00204, "ada__strings__mapsB");
   u00205 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00205, "ada__strings__mapsS");
   u00206 : constant Version_32 := 16#17f047b7#;
   pragma Export (C, u00206, "system__bit_opsB");
   u00207 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00207, "system__bit_opsS");
   u00208 : constant Version_32 := 16#9e76972c#;
   pragma Export (C, u00208, "ada__strings__searchB");
   u00209 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00209, "ada__strings__searchS");
   u00210 : constant Version_32 := 16#933d1555#;
   pragma Export (C, u00210, "system__compare_array_unsigned_8B");
   u00211 : constant Version_32 := 16#119a0337#;
   pragma Export (C, u00211, "system__compare_array_unsigned_8S");
   u00212 : constant Version_32 := 16#97d13ec4#;
   pragma Export (C, u00212, "system__address_operationsB");
   u00213 : constant Version_32 := 16#ab95cc89#;
   pragma Export (C, u00213, "system__address_operationsS");
   u00214 : constant Version_32 := 16#fa841685#;
   pragma Export (C, u00214, "fieldS");
   u00215 : constant Version_32 := 16#6555eb98#;
   pragma Export (C, u00215, "field__operationsB");
   u00216 : constant Version_32 := 16#0244ca25#;
   pragma Export (C, u00216, "field__operationsS");
   u00217 : constant Version_32 := 16#cd2959fb#;
   pragma Export (C, u00217, "ada__numericsS");
   u00218 : constant Version_32 := 16#d34f9f29#;
   pragma Export (C, u00218, "system__random_numbersB");
   u00219 : constant Version_32 := 16#7b81c220#;
   pragma Export (C, u00219, "system__random_numbersS");
   u00220 : constant Version_32 := 16#ec78c2bf#;
   pragma Export (C, u00220, "system__img_unsB");
   u00221 : constant Version_32 := 16#13eb32ce#;
   pragma Export (C, u00221, "system__img_unsS");
   u00222 : constant Version_32 := 16#40a8df0e#;
   pragma Export (C, u00222, "system__random_seedB");
   u00223 : constant Version_32 := 16#e3895be1#;
   pragma Export (C, u00223, "system__random_seedS");
   u00224 : constant Version_32 := 16#0d7f1a43#;
   pragma Export (C, u00224, "ada__calendarB");
   u00225 : constant Version_32 := 16#5b279c75#;
   pragma Export (C, u00225, "ada__calendarS");
   u00226 : constant Version_32 := 16#d083f760#;
   pragma Export (C, u00226, "system__os_primitivesB");
   u00227 : constant Version_32 := 16#321663cc#;
   pragma Export (C, u00227, "system__os_primitivesS");
   u00228 : constant Version_32 := 16#1d9142a4#;
   pragma Export (C, u00228, "system__val_unsB");
   u00229 : constant Version_32 := 16#9cb7e302#;
   pragma Export (C, u00229, "system__val_unsS");
   u00230 : constant Version_32 := 16#45c8dd84#;
   pragma Export (C, u00230, "gtk__argumentsB");
   u00231 : constant Version_32 := 16#94c26bbf#;
   pragma Export (C, u00231, "gtk__argumentsS");
   u00232 : constant Version_32 := 16#ac830e6e#;
   pragma Export (C, u00232, "gtk__boxB");
   u00233 : constant Version_32 := 16#3eadf058#;
   pragma Export (C, u00233, "gtk__boxS");
   u00234 : constant Version_32 := 16#04c07fef#;
   pragma Export (C, u00234, "gtk__orientableB");
   u00235 : constant Version_32 := 16#2882c3d4#;
   pragma Export (C, u00235, "gtk__orientableS");
   u00236 : constant Version_32 := 16#3d07fe83#;
   pragma Export (C, u00236, "gtk__buttonB");
   u00237 : constant Version_32 := 16#8fd41909#;
   pragma Export (C, u00237, "gtk__buttonS");
   u00238 : constant Version_32 := 16#87c1bb11#;
   pragma Export (C, u00238, "gtk__actionB");
   u00239 : constant Version_32 := 16#b968f821#;
   pragma Export (C, u00239, "gtk__actionS");
   u00240 : constant Version_32 := 16#3059eb8c#;
   pragma Export (C, u00240, "glib__g_iconB");
   u00241 : constant Version_32 := 16#693bdb45#;
   pragma Export (C, u00241, "glib__g_iconS");
   u00242 : constant Version_32 := 16#723c7711#;
   pragma Export (C, u00242, "gtk__activatableB");
   u00243 : constant Version_32 := 16#79a1d2f9#;
   pragma Export (C, u00243, "gtk__activatableS");
   u00244 : constant Version_32 := 16#1c89d725#;
   pragma Export (C, u00244, "gtk__check_buttonB");
   u00245 : constant Version_32 := 16#a0bd8201#;
   pragma Export (C, u00245, "gtk__check_buttonS");
   u00246 : constant Version_32 := 16#e633bda3#;
   pragma Export (C, u00246, "gtk__toggle_buttonB");
   u00247 : constant Version_32 := 16#6565ea8a#;
   pragma Export (C, u00247, "gtk__toggle_buttonS");
   u00248 : constant Version_32 := 16#94fe1c6e#;
   pragma Export (C, u00248, "gtk__dialogB");
   u00249 : constant Version_32 := 16#8fa4d0bf#;
   pragma Export (C, u00249, "gtk__dialogS");
   u00250 : constant Version_32 := 16#30a8889c#;
   pragma Export (C, u00250, "gtk__handlersB");
   u00251 : constant Version_32 := 16#dc606d67#;
   pragma Export (C, u00251, "gtk__handlersS");
   u00252 : constant Version_32 := 16#52f1910f#;
   pragma Export (C, u00252, "system__assertionsB");
   u00253 : constant Version_32 := 16#75145e2e#;
   pragma Export (C, u00253, "system__assertionsS");
   u00254 : constant Version_32 := 16#e53aa32f#;
   pragma Export (C, u00254, "gtk__marshallersB");
   u00255 : constant Version_32 := 16#08dc7f66#;
   pragma Export (C, u00255, "gtk__marshallersS");
   u00256 : constant Version_32 := 16#9ad50420#;
   pragma Export (C, u00256, "gtk__notebookB");
   u00257 : constant Version_32 := 16#1cb6bfd9#;
   pragma Export (C, u00257, "gtk__notebookS");
   u00258 : constant Version_32 := 16#7ab9a74e#;
   pragma Export (C, u00258, "gtk__tree_modelB");
   u00259 : constant Version_32 := 16#b7f6bbc3#;
   pragma Export (C, u00259, "gtk__tree_modelS");
   u00260 : constant Version_32 := 16#dc38657a#;
   pragma Export (C, u00260, "gtk__labelB");
   u00261 : constant Version_32 := 16#443eed3e#;
   pragma Export (C, u00261, "gtk__labelS");
   u00262 : constant Version_32 := 16#73990cc1#;
   pragma Export (C, u00262, "gtk__miscB");
   u00263 : constant Version_32 := 16#28c2780b#;
   pragma Export (C, u00263, "gtk__miscS");
   u00264 : constant Version_32 := 16#6fcf79c0#;
   pragma Export (C, u00264, "gtk__menuB");
   u00265 : constant Version_32 := 16#1fd658b4#;
   pragma Export (C, u00265, "gtk__menuS");
   u00266 : constant Version_32 := 16#d5476d0e#;
   pragma Export (C, u00266, "gtk__menu_shellB");
   u00267 : constant Version_32 := 16#6cad757a#;
   pragma Export (C, u00267, "gtk__menu_shellS");
   u00268 : constant Version_32 := 16#9e453c55#;
   pragma Export (C, u00268, "gtk__menu_itemB");
   u00269 : constant Version_32 := 16#065672d2#;
   pragma Export (C, u00269, "gtk__menu_itemS");
   u00270 : constant Version_32 := 16#214c0631#;
   pragma Export (C, u00270, "gtk__itemB");
   u00271 : constant Version_32 := 16#b82be748#;
   pragma Export (C, u00271, "gtk__itemS");
   u00272 : constant Version_32 := 16#4a7971ab#;
   pragma Export (C, u00272, "gdk__screenB");
   u00273 : constant Version_32 := 16#3c24ec57#;
   pragma Export (C, u00273, "gdk__screenS");
   u00274 : constant Version_32 := 16#3d410964#;
   pragma Export (C, u00274, "gtk__option_menuB");
   u00275 : constant Version_32 := 16#fb36a475#;
   pragma Export (C, u00275, "gtk__option_menuS");
   u00276 : constant Version_32 := 16#a75e1600#;
   pragma Export (C, u00276, "gtk__radio_menu_itemB");
   u00277 : constant Version_32 := 16#26e1135e#;
   pragma Export (C, u00277, "gtk__radio_menu_itemS");
   u00278 : constant Version_32 := 16#88913413#;
   pragma Export (C, u00278, "gtk__check_menu_itemB");
   u00279 : constant Version_32 := 16#01fb11ba#;
   pragma Export (C, u00279, "gtk__check_menu_itemS");
   u00280 : constant Version_32 := 16#aee1279e#;
   pragma Export (C, u00280, "gtk__scrolled_windowB");
   u00281 : constant Version_32 := 16#a424ce2f#;
   pragma Export (C, u00281, "gtk__scrolled_windowS");
   u00282 : constant Version_32 := 16#0a96e104#;
   pragma Export (C, u00282, "gtk__scrollbarB");
   u00283 : constant Version_32 := 16#f4fbde14#;
   pragma Export (C, u00283, "gtk__scrollbarS");
   u00284 : constant Version_32 := 16#2b01d993#;
   pragma Export (C, u00284, "gtk__grangeB");
   u00285 : constant Version_32 := 16#4c4968cb#;
   pragma Export (C, u00285, "gtk__grangeS");
   u00286 : constant Version_32 := 16#516b621f#;
   pragma Export (C, u00286, "gtk__tableB");
   u00287 : constant Version_32 := 16#28dcd080#;
   pragma Export (C, u00287, "gtk__tableS");
   u00288 : constant Version_32 := 16#4e5bae49#;
   pragma Export (C, u00288, "gtk__textB");
   u00289 : constant Version_32 := 16#dd8c54be#;
   pragma Export (C, u00289, "gtk__textS");
   u00290 : constant Version_32 := 16#1f55d6ea#;
   pragma Export (C, u00290, "gtk__old_editableB");
   u00291 : constant Version_32 := 16#992e4f9f#;
   pragma Export (C, u00291, "gtk__old_editableS");
   u00292 : constant Version_32 := 16#700df112#;
   pragma Export (C, u00292, "gtkada__dialogsB");
   u00293 : constant Version_32 := 16#95807dbe#;
   pragma Export (C, u00293, "gtkada__dialogsS");
   u00294 : constant Version_32 := 16#a637cc25#;
   pragma Export (C, u00294, "gtk__pixmapB");
   u00295 : constant Version_32 := 16#582aa316#;
   pragma Export (C, u00295, "gtk__pixmapS");
   u00296 : constant Version_32 := 16#6c22ad40#;
   pragma Export (C, u00296, "gtkada__intlB");
   u00297 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00297, "gtkada__intlS");
   u00298 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00298, "gtkada__pixmapsS");
   u00299 : constant Version_32 := 16#d763507a#;
   pragma Export (C, u00299, "system__val_intB");
   u00300 : constant Version_32 := 16#f03c5885#;
   pragma Export (C, u00300, "system__val_intS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.wch_stw%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  ada.exceptions%s
   --  system.wch_stw%b
   --  ada.exceptions.traceback%s
   --  system.soft_links%s
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.secondary_stack%s
   --  system.address_image%s
   --  system.soft_links%b
   --  ada.exceptions.last_chance_handler%s
   --  system.memory%s
   --  system.memory%b
   --  ada.exceptions.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  system.exceptions.machine%s
   --  system.secondary_stack%b
   --  system.address_image%b
   --  ada.exceptions.last_chance_handler%b
   --  system.standard_library%b
   --  ada.exceptions%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_llu%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.val_uns%s
   --  system.val_uns%b
   --  system.val_int%s
   --  system.val_int%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.random_numbers%s
   --  system.random_numbers%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  cairo%s
   --  cairo%b
   --  cairo.region%s
   --  cairo.region%b
   --  field%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.g_icon%s
   --  glib.g_icon%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.object%b
   --  glib.types%s
   --  glib.types%b
   --  glib.values%s
   --  glib.values%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gdk.color%s
   --  gdk.color%b
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk%s
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtk.orientable%s
   --  gtk.orientable%b
   --  gtk.tree_model%s
   --  gtk.tree_model%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.event%s
   --  gdk.window%s
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  gtk.style%s
   --  gtk.style%b
   --  gdk.event%b
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.widget%s
   --  gtk.builder%s
   --  gtk.builder%b
   --  gtk.buildable%s
   --  gtk.buildable%b
   --  gdk.window%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gdk.screen%s
   --  gdk.screen%b
   --  gtk.action%s
   --  gtk.action%b
   --  gtk.activatable%s
   --  gtk.activatable%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  field.operations%s
   --  user_if%s
   --  field.operations%b
   --  user_if%b
   --  mine_detector%b
   --  END ELABORATION ORDER


end ada_main;
